#include "skunkworks.h"

#include <assert.h>

#include "skip.h"
#include "types.h"

void assert_types();

static bool init = false;

void sw_init(int argc, char *argv[]) {
	if(!init) {
		assert_types();
		sw_skip_self = sw_skip_load(argv[0]);
		init = true;
	}
}

/* private */

void assert_types() {
	assert(sizeof(i8) == 1);
	assert(sizeof(u8) == 1);
	assert(sizeof(i16) == 2);
	assert(sizeof(u16) == 2);
	assert(sizeof(i32) == 4);
	assert(sizeof(u32) == 4);
	assert(sizeof(i64) == 8);
	assert(sizeof(u64) == 8);
	assert(sizeof(f32) == 4);
	assert(sizeof(f64) == 8);
}
